Holger's Java API

## com.antelmann.image
Class ImageSelection

    java.lang.Object
      com.antelmann.image.ImageSelection

All Implemented Interfaces:
  ClipboardOwner, Transferable

    public class ImageSelection

extends Object
implements Transferable, ClipboardOwner

allows to easily transfer images via clipboard

Author:
  Holger Antelmann

Constructor Summary
`ImageSelection(Image image)`
`ImageSelection(Image image, String format)`

Method Summary
`Object` `getTransferData(DataFlavor flavor)`
`DataFlavor[]` `getTransferDataFlavors()`
`boolean` `isDataFlavorSupported(DataFlavor flavor)`
`void` `lostOwnership(Clipboard clipboard, Transferable contents)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageSelection

    public ImageSelection(Image image)
                   throws IOException

Throws:
  `IOException`

### ImageSelection

    public ImageSelection(Image image,
                          String format)
                   throws IOException

Throws:
  `IOException`

Method Detail

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `Transferable`

### getTransferData

    public Object getTransferData(DataFlavor flavor)
                           throws UnsupportedFlavorException,
                                  IOException

  Specified by:
    `getTransferData` in interface `Transferable`
  Throws:
    `UnsupportedFlavorException`
    `IOException`

### lostOwnership

    public void lostOwnership(Clipboard clipboard,
                              Transferable contents)

  Specified by:
    `lostOwnership` in interface `ClipboardOwner`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads